:root {
  --white: #e6e6e6;
  --darkest-blue-color: #071e26;
  --greyish-blue-color: #06394c;
  --bright-blue-color: #0c4383;
  --turquoise-blue-color: #22a0b6;
  --palest-blue-color: #6a96b9;
  --dark-magenta-color: #7b1346;
  --magenta-color: #cb0c59;
  --pink-color: #eb649f;
}

* {
  box-sizing: border-box;
}

html {
  height: 100%;
}

body {
  display: grid;
  align-items: center;
  justify-items: center;
  background-color: #051217;
  background-image: radial-gradient(circle, #071e26, #051217);
  font-family: 'Voltaire', sans-serif;
  margin-top: 0;
  margin-bottom: 0;
}

svg {
  width: 100%;
  height: 100vh;
  margin: 0 auto;
}

.st0 {
  fill: var(--white);
  transition: 0.4s ease-in-out;
}

#solidfill {
  fill: var(--white);
}

#poster {
  transition: 0.4s ease-in-out;
  opacity: 1;
}

#flexboxPuzzleBtn:hover,
#mathPuzzleBtn:hover,
#puzzlerBtn:hover,
#recursionPuzzleBtn:hover,
#mirrorPuzzleBtn:hover,
#noteBtn:hover {
  cursor: pointer;
}
.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: black;
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}

#mirrorPuzzleModal .modal-content {
  background-color: #6a96b9d9;
  box-shadow: 0px 0px 30px 10px #6a96b9d9;
}

#recursionPuzzleModal .modal-content {
  background-color: #0c4383f2;
  box-shadow: 0px 0px 30px 10px #0c4383f2;
}

#puzzlerModal .modal-content {
  background-color: #22a0b6f2;
  box-shadow: 0px 0px 30px 10px #22a0b6f2;
  width: 90%;
}

#flexboxPuzzleModal .modal-content {
  background-color: #eb649fe6;
  box-shadow: 0px 0px 30px 10px #eb649fe6;
}

#mathPuzzleModal .modal-content {
  background-color: #cb0c59e6;
  box-shadow: 0px 0px 30px 10px #cb0c59e6;
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border-radius: 20px;
  width: 80%;
}

/* The Close Button */
.close {
  color: var(--white);
  float: right;
  font-size: 50px;
  font-weight: bold;
  z-index: 100;
  position: relative;
}

.close:hover,
.close:focus {
  color: var(--darkest-blue-color);
  text-decoration: none;
  cursor: pointer;
}

#puzzler-container {
  margin: 0;
  display: flex;
  flex-direction: column;
}

#puzzler-container button {
  font-size: 19px;
  padding: 10px;
  color: var(--white);
  background: #253543;
  margin-bottom: 8px;
  border: 5px solid #22a0b6f2;
  outline: 2px dashed var(--greyish-blue-color);
  transition: 0.3s ease-in-out;
  font-family: 'Voltaire', sans-serif;
  cursor: pointer;
  border-radius: 10px;
}

#alert {
  position: relative;
  color: var(--dark-magenta-color);
  font-size: 32px;
  font-weight: 800;
  text-align: center;
}

.quote {
  position: relative;
  color: var(--white);
  font-size: 25px;
  margin-top: 10px;
  text-align: center;
  cursor: auto;
  width: 72%;
  margin: 0 auto;
  text-align: center;
}

.quote:last-of-type {
  text-align: justify;
  font-size: 18px;
  margin-bottom: 35px;
  line-height: 1.5;
}

#puzzler-container button:hover {
  transform: scale(1.3);
}

.content {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  flex: 0 0 30%;
}

#btn-container {
  text-align: center;
}

.topContainer {
  margin-top: 20px;
  justify-content: space-evenly;
  display: flex;
}

.bottomContainer {
  margin-top: 20px;
  justify-content: space-evenly;
  display: flex;
}

.outerflex {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  flex: 1;
  height: 66vh;
}

.outerBorder {
  border: 2px dashed var(--greyish-blue-color);
  padding: 5px;
  height: fit-content;
  width: fit-content;
  margin: 10px;
}

.tile {
  width: 100px;
  height: 100px;
  z-index: 1000;
  border-radius: 10px;
  box-sizing: border-box;
  cursor: move;
  border: 5px solid var(--darkest-blue-color);
}

.tile img {
  filter: invert(100%);
}

.blank {
  min-width: 116px;
  min-height: 116px;
  z-index: 100;
  box-sizing: border-box;
  border: 2px dashed var(--greyish-blue-color);
  top: 200px;
  padding: 5px;
  margin: 10px;
}

.ui-state-highlight {
  border-color: var(--dark-magenta-color);
}

@media all and (max-width: 1200px) {
  .outerflex {
    flex-direction: row;
    justify-content: space-around;
    height: auto;
  }

  .topContainer,
  .bottomContainer {
    flex-direction: column;
  }
}
.revealtext {
  background-color: var(--white);
  transition: 0.3s ease;
}

.revealtext:hover {
  cursor: pointer;
}
:root {
  --text-color: #111111;
}

#math-puzzle-container div {
  color: var(--white);
}

#math-puzzle-container button {
  line-height: 100px;
  width: 100px;
  border-radius: 10%;
  border: 3px solid black;
  font-size: 2em;
  background-color:#eb649f;
  font-weight: bold;
  color: black;
  margin: 2px 0 0 2px;
  cursor:pointer;
}

#math-puzzle-main {
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 50% 50%;
}

#math-puzzle-keypad {
  grid-column: 1;
  width: 50%;
  margin-left: 10%;
}

#math-puzzle-sum {
  grid-column: 2;
  margin-right: 10%;
}

.math-puzzle-numberButton {
  background-color: transparent;
}

.math-puzzle-zeroButton {
  background-color: transparent;
}

.math-puzzle-signButton {
  background-color: transparent;
}

.math-puzzle-position {
  text-align: center;
  line-height: 65px;
  font-size: 2em;
  padding: 10px;
  font-weight: bold;
  border-bottom: 1px solid var(--white);
}

#math-puzzle-message {
  line-height: 2;
  font-size: 1.5em;
}

#flexbox-puzzle-container {
  height: 700px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  position: relative;
}

.heading {
  margin: 8px;
  color: var(--white);
}

.heading__rules {
  padding: 0;
  margin: 0 auto;
  text-align: center;
}

.heading__subtitle {
  display: block;
  margin: 10px auto;
  width: 80%;
  text-align: center;
}

.notification {
  display: block;
  width: 100%;
  height: 35px;
  font-size: 25px;
  margin-bottom: 30px;
  padding-bottom: 47px;
  font-weight: 800;
  text-align: center;
  color: var(--white);
  transition: all 0.5s ease-in;
}

.flex-menu {
  width: 100%;
  height: 25%;
  padding: 0.5rem;
  text-align: center;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  color: var(--white);
}

.flex-menu div {
  display: flex;
  flex-direction: column;
}

.flex-menu label {
  display: inline-block;
}

.flex-menu button {
  margin: 10px;
  margin-bottom: 50px;
  border: 0;
  border-radius: 10px;
  font-family: 'Voltaire', sans-serif;
  padding: 10px 0;
  width: 140px;
  font-size: 1rem;
  white-space: nowrap;
  text-decoration: none;
  outline: none;
  box-shadow: 3px 3px 4px 2px rgba(12, 67, 131, 0.45);
}

.flex-menu__items {
  background-color: var(--bright-blue-color);
  padding: 4px;
  text-decoration: none;
  color: #fff;
  cursor: pointer;
}

.flexPuzzle-container {
  position: absolute;
  height: 25%;
  max-width: 100%;
  left: 10%;
  perspective: 1000px;
  top: 300px;
}

.cube-1,
.cube-2,
.cube-3,
.cube-4,
.cube-5 {
  width: 75px;
  height: 75px;
  padding: 25px;
  transform-style: preserve-3d;
  transform: translateZ(-360px) rotateX(65deg) rotateZ(75deg);
  transition: all 2s ease-in-out;
}
.cube-1 .side,
.cube-2 .side,
.cube-3 .side,
.cube-4 .side,
.cube-5 .side {
  position: absolute;
  width: 75px;
  height: 75px;
}
.cube-1 .front,
.cube-2 .front,
.cube-3 .front,
.cube-4 .front,
.cube-5 .front {
  background-color: var(--bright-blue-color);
  transform: rotateY(0deg) translateZ(35px);
  transition: all 0.5s ease-in-out;
}
.cube-1 .back,
.cube-2 .back,
.cube-3 .back,
.cube-4 .back,
.cube-5 .back {
  background-color: var(--bright-blue-color);
  transform: rotateX(180deg) translateZ(35px);
  transition: all 0.5s ease-in-out;
}
.cube-1 .right,
.cube-2 .right,
.cube-3 .right,
.cube-4 .right,
.cube-5 .right {
  background-color: var(--bright-blue-color);
  transform: rotateY(90deg) translateZ(35px);
  transition: all 0.5s ease-in-out;
}
.cube-1 .left,
.cube-2 .left,
.cube-3 .left,
.cube-4 .left,
.cube-5 .left {
  transform: rotateY(-90deg) translateZ(35px);
  transition: all 0.5s ease-in-out;
}
.cube-1 .top,
.cube-2 .top,
.cube-3 .top,
.cube-4 .top,
.cube-5 .top {
  transform: rotateX(90deg) translateZ(35px);
  transition: all 0.5s ease-in-out;
}
.cube-1 .bottom,
.cube-2 .bottom,
.cube-3 .bottom,
.cube-4 .bottom,
.cube-5 .bottom {
  background-color: var(--bright-blue-color);
  transform: rotateX(-90deg) translateZ(35px);
  transition: all 0.5s ease-in-out;
}

@media only screen and (max-width: 1500px) {
  #flexboxPuzzleModal .modal-content {
    width: 90%;
  }

  .flexPuzzle-container {
    left: 0;
  }
}
#mirror-puzzle-container {
  text-align: center;
}

#mirror-clue,
#mirror-puzzle-container > p:first-of-type {
  color: var(--white);
  font-size: 1.7em;
  font-weight: 800;
  margin-bottom: 50px;
}

#mirror-puzzle-container #note {
  color: var(--darkest-blue-color);
  width: 285px;
  padding: 2%;
  border-radius: 20px;
  box-sizing: border-box;
  display: inline-block;
  vertical-align: middle;
  background: var(--white);
  background-size: contain;
  text-align: left;
  font-size: 19px;
}

#mirror-puzzle-container #note:hover {
  cursor: grab;
}

#mirror-puzzle-container #note:active {
  cursor: grabbing;
}

#mirror-puzzle-container #mmirror {
  width: 500px;
  height: 500px;
  padding: 5%;
  display: inline-block;
  vertical-align: middle;
  background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/108463/mirror.svg) center center no-repeat;
  background-size: contain;
}

#note-text {
  margin: 0;
  padding: 9%;
  border: 2px dashed var(--darkest-blue-color);
}

#mirror-puzzle-container .mirror-text {
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
}
#recursion-puzzle-container #app {
  padding: 0.5rem;
  font-size: 2rem;
}

#recursion-puzzle-container .fa-ice-cream {
  font-size: 2rem;
  color: var(--pink-color);
}

#recursion-puzzle-container h1 {
  font-weight: normal;
  font-size: 1.7rem;
  text-align: center;
  margin: 1rem 0 3.5rem 0;
  color: var(--white);
}

#recursion-puzzle-container .thing > .flex {
  font-size: 23px;
  font-weight: 700;
  color: var(--white);
  border-bottom: 1px solid var(--pink-color);
  padding-bottom: 5px;
  display: flex;
}
#recursion-puzzle-container .thing > .flex div {
  padding: 0.5rem;
}
#recursion-puzzle-container .thing > .flex div:nth-child(2) {
  color: var(--white);
  cursor: pointer;
  transition: 0.3s ease-in-out;
}
#recursion-puzzle-container .thing > .flex div:nth-child(2):hover {
  transform: scale(1.5);
}
#recursion-puzzle-container .thing > .children .thing {
  padding: 0.5rem 0 0 2rem;
}

#recursion-puzzle-container .won {
  padding: 1rem;
}

#recursion-puzzle-container h1 .fa-ice-cream {
  color: var(--pink-color);
  font-size: 7rem;
}

.locked {
  fill: var(--white);
}

/* padlock unlocked colors */

#padlock1 .unlocked {
  fill: var(--magenta-color);
}

#padlock2 .unlocked {
  fill: var(--pink-color);
}

#padlock4 .unlocked {
  fill: var(--palest-blue-color);
}

#padlock3 .unlocked {
  fill: var(--turquoise-blue-color);
}

#padlock5 .unlocked {
  fill: var(--bright-blue-color);
}

.unlocked {
  opacity: 0;
}

#escaped {
  visibility: hidden;
  display: grid;
  position: absolute;
  z-index: 100;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: var(--white);
  text-align: center;
  margin: 0;
  font-family: 'Voltaire', sans-serif;
  font-weight: 800;
  background-color: black;
  background-color: rgba(0, 0, 0, 0.7);
  overflow: hidden;
}

#escaped h1 {
  font-size: 150px;
  justify-self: center;
  align-self: center;
  font-family: 'Voltaire', sans-serif;
}
